Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363727 - External monitor Dell P2815Q got black screen interruptions with an hdmi cable that worked before [NEEDINFO]
Summary: External monitor Dell P2815Q got black screen interruptions with an hdmi cabl...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 12:32 UTC by Nils Tonnätt
Modified: 2016-10-26 16:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:56:35 UTC
labbott: needinfo? (nils.tonnaett)


Attachments (Terms of Use)

Description Nils Tonnätt 2016-08-03 12:32:10 UTC
Description of problem:
With the update to Fedora 24 my monitor got interruptions where the screen gets black for 1 to 5 seconds. Sometimes the system works normally for some minutes. But when the black screens start they come often.

dmesg shows:

[ 7555.734833] [drm:drm_edid_block_valid [drm]] *ERROR* EDID checksum is invalid, remainder is 60
[ 7555.734838] Raw EDID:
[ 7555.734841]  	00 ff ff ff ff ff ff 00 10 ac 5c f0 4d 48 4e 41
[ 7555.734842]  	11 18 01 03 80 3e 22 78 ea 0a a5 a2 57 4f a2 28
[ 7555.734843]  	0f 50 54 a5 4b 00 71 4f 81 00 81 80 a9 40 b3 00
[ 7555.734844]  	d1 c0 d1 00 01 01 04 74 00 30 f2 70 5a 80 b0 58
[ 7555.734845]  	8a 00 6d 55 21 00 00 1e 00 00 00 ff 00 57 4a 4a
[ 7555.734846]  	47 52 34 34 50 41 4e 48 4d 0a 00 00 00 fc 00 45
[ 7555.734848]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 7555.734849]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff

I switched the HDMI cable. The blackscreens are gone but the EDID error stays.

Version-Release number of selected component (if applicable):
kernel 4.6.4-301.fc24.x86_64

How reproducible:

Steps to Reproduce:
1. Use Gnome (X or Wayland)
2. Wait until black screens arrive


Additional info:
Laptop Thinkpad E530

Comment 1 Nils Tonnätt 2016-08-03 12:34:23 UTC
I forgot to mention that I know the EDID error from Fedora 23.

Comment 2 Nils Tonnätt 2016-08-03 15:31:56 UTC
They seem to look differently everytime:

[14309.037734] [drm:drm_edid_block_valid [drm]] *ERROR* EDID checksum is invalid, remainder is 47
[14309.037741] Raw EDID:
[14309.037745]  	00 ff ff ff ff ff ff 00 10 ac 5c f0 4d 48 4e 41
[14309.037748]  	11 18 01 03 80 3e 22 78 ea 0a a5 a2 57 4f a2 28
[14309.037750]  	0f 50 54 a5 4b 00 71 4f 81 00 81 80 a9 40 b3 00
[14309.037753]  	d1 c0 d1 00 01 01 04 74 00 30 f2 70 5a 80 b0 58
[14309.037756]  	8a 00 6d 55 21 00 00 1e 00 00 00 ff 00 57 4a 4a
[14309.037758]  	47 52 34 34 50 41 4e 48 4d 0a 00 00 00 fc 00 44
[14309.037761]  	45 4c 4c 20 50 32 38 31 35 51 0a 20 00 00 00 fd
[14309.037764]  	00 18 55 1f 72 1e 00 0a 20 ff ff ff ff ff ff ff
[16452.120755] [drm:drm_edid_block_valid [drm]] *ERROR* EDID checksum is invalid, remainder is 18
[16452.120760] Raw EDID:
[16452.120763]  	00 ff ff ff ff ff ff 00 10 ac 5c f0 4d 48 4e 41
[16452.120765]  	11 18 01 03 80 3e 22 78 ea 0a a5 a2 57 4f a2 28
[16452.120766]  	0f 50 54 a5 4b 00 71 4f 81 00 81 80 a9 40 b3 00
[16452.120768]  	d1 c0 d1 00 01 01 04 74 00 30 f2 70 5a 80 b0 58
[16452.120769]  	8a 00 6d 55 21 00 00 1e 00 00 00 ff 00 57 4a 4a
[16452.120770]  	47 52 34 34 50 41 4e 48 4d 0a 00 00 00 fc 00 44
[16452.120772]  	45 4c 4c 20 50 32 38 31 35 51 0a 20 00 00 00 fd
[16452.120773]  	00 18 55 1f 72 1e 00 0a 20 20 20 20 7f ff ff ff

After hours of work I had a black screen for 1 second with the other cable too. The time of the occurrence of the edid errors is not the same as the black screens.

Comment 3 Laura Abbott 2016-09-23 19:16:17 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 4 Laura Abbott 2016-10-26 16:56:35 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.